scala.util.parsing.combinator.Parsers
class ParseResult

[source: `scala/util/parsing/combinator/Parsers.scala`]

`sealed abstract` `class` ParseResult[+T]
  `extends` AnyRef

  A base class for parser results. A result is either successful or not (failure may be fatal, i.e., an Error, or not, i.e., a Failure) On success, provides a result of type `T`.

Direct Known Subclasses:
  Parsers.Success, Parsers.NoSuccess

Value Summary
`abstract val` | next : Reader
`abstract val` | successful : Boolean

Method Summary
`abstract def` | get : T Returns the embedded result
`def` | getOrElse [B >: T](default : => B) : B
`def` | isEmpty : Boolean
`abstract def` | map [U](f : (T) => U) : ParseResult[U] Functional composition of ParseResults
`abstract def` | mapPartial [U](f : PartialFunction[T, U], error : (T) => java.lang.String) : ParseResult[U] Partial functional composition of ParseResults

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`abstract` `val` next : Reader

`abstract` `val` successful : Boolean

Method Details

`abstract` `def` map[U](f : (T) => U) : ParseResult[U]

  Functional composition of ParseResults

Parameters
  ``f' -` the function to be lifted over this result
Returns
  `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'

`abstract` `def` mapPartial[U](f : PartialFunction[T, U], error : (T) => java.lang.String) : ParseResult[U]

  Partial functional composition of ParseResults

Parameters
  ``f' -` the partial function to be lifted over this result
  `error -` a function that takes the same argument as `f' and produces an error message to explain why `f' wasn't applicable (it is called when this is the case)
Returns
  if `f' f is defined at the result in this `ParseResult', `f' applied to the result of this `ParseResult', packaged up as a new `ParseResult'. If `f' is not defined, `Failure'.

`` `def` isEmpty : Boolean

`abstract` `def` get : T

  Returns the embedded result

`` `def` getOrElse[B >: T](default : => B) : B